import { Injectable } from '@nestjs/common';
import { Patient } from '@prisma/client';
import { PrismaService } from 'src/core/database/prisma.service';

@Injectable()
export class PatientRepository {
  constructor(private readonly prisma: PrismaService) {}

  async findById(patientId: string): Promise<Patient> {
    return this.prisma.patient.findUnique({ where: { id: patientId } });
  }
}
